<?php
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do aktulizacji widżetów strony bm
	
	Black Min cms,
	
	#plik: 1.0
*/
				
	// otwieranie sesii black mina
	session_start();	

	// sprawdzanie czy użytkownik jest zalogowany i ma odpowiednie permisje
	if (!isset($_SESSION['zalogowany']))
	{
		header('Location: ../logowanie.php');
		exit();
	}	
	
	require_once "../../../connect.php";
	
	// sprawdzanie danych do dodania post czy przyszły sprawdzanie poprawnośći wpsianych danych z standardem określonym przez Timoni'x
	
	if(isset($_POST['tab_top_box']))
	{
		// pobieranie danych metodą post
		
		$tab_top_box = $_POST['tab_top_box'];
		$tab_left_box = $_POST['tab_left_box'];
		$tab_right_box = $_POST['tab_right_box'];
		$tab_bottom_box = $_POST['tab_bottom_box'];
		$tab_footer_box = $_POST['tab_footer_box'];

		// przepisywanie tablicy na kod zrozumiały dla black mina
		$tab_top_box2 = "";
		$tab_left_box2 = "";
		$tab_right_box2 = "";
		$tab_bottom_box2 = "";
		$tab_footer_box2 = "";

		// zlcizanie danych w tablicy
		$tab_top_box_zlicz = count($tab_top_box);
		$tab_left_box_zlicz = count($tab_left_box);
		$tab_right_box_zlicz = count($tab_right_box);
		$tab_bottom_box_zlicz = count($tab_bottom_box);
		$tab_footer_box_zlicz = count($tab_footer_box);
		
		// pętle do zamiany danych
		for($i=0;$i<$tab_top_box_zlicz;$i++){
			$tab_top_box2 .= $tab_top_box[$i]. ",";
		}
		for($i=0;$i<$tab_left_box_zlicz;$i++){
			$tab_left_box2 .= $tab_left_box[$i]. ",";
		}
		for($i=0;$i<$tab_right_box_zlicz;$i++){
			$tab_right_box2 .= $tab_right_box[$i]. ",";
		}
		for($i=0;$i<$tab_bottom_box_zlicz;$i++){
			$tab_bottom_box2 .= $tab_bottom_box[$i]. ",";
		}
		for($i=0;$i<$tab_footer_box_zlicz;$i++){
			$tab_footer_box2 .= $tab_footer_box[$i]. ",";
		}
		
		// usuwanie ostatniego bitu 
		$tab_top_box2 = substr($tab_top_box2, 0, -1);
		$tab_left_box2 = substr($tab_left_box2, 0, -1);
		$tab_right_box2 = substr($tab_right_box2, 0, -1);
		$tab_bottom_box2 = substr($tab_bottom_box2, 0, -1);
		$tab_footer_box2 = substr($tab_footer_box2, 0, -1);

		// filtrowanie danych
		$tab_top_box2 = htmlentities($tab_top_box2, ENT_QUOTES, "UTF-8");
		$tab_left_box2 = htmlentities($tab_left_box2, ENT_QUOTES, "UTF-8");
		$tab_right_box2 = htmlentities($tab_right_box2, ENT_QUOTES, "UTF-8");
		$tab_bottom_box2 = htmlentities($tab_bottom_box2, ENT_QUOTES, "UTF-8");
		$tab_footer_box2 = htmlentities($tab_footer_box2, ENT_QUOTES, "UTF-8");
		
		$wszystko_ok = true;	
		
		// jęzeli walidacja przeszła pomyśnie to otwiera się połączenie z bazą danych
		
		if($wszystko_ok == true){
			
			
		mysqli_report(MYSQLI_REPORT_STRICT);
		
		try 
		{
			$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
			if ($polaczenie->connect_errno!=0)
			{
				throw new Exception(mysqli_connect_errno());
			}
			else
			{
				
				mysqli_query($polaczenie, "SET CHARSET utf8");
				mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");				
				
				// jeżeli wszystkie testy walidacyjne przeszły pomyśnie to dodajemy nową kategorie tag
				// wyśiwtlamy informacje dla użytkownika że kategoria tag został dodany do bazy danych
				
				if ($wszystko_ok == true)
				{
					//Hurra, wszystkie testy zaliczone, dodajemy gracza do bazy

					if ($rezultat = $polaczenie->query(
					sprintf("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tab_top_box2' WHERE `bm_nazwa` = 'bm_top_box'")
					 ))
					{
						echo '<section class="tsr-alert tsr-alert-success"> Top Widżet został zmieniony poprawnie! </section>';
					};	
					
					if ($rezultat = $polaczenie->query(
					sprintf("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tab_left_box2' WHERE `bm_nazwa` = 'bm_left_box'")
					 ))
					{
						echo '<section class="tsr-alert tsr-alert-success"> Left Widżet został zmieniony poprawnie! </section>';
					};	
					
					if ($rezultat = $polaczenie->query(
					sprintf("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tab_right_box2' WHERE `bm_nazwa` = 'bm_right_box'")
					 ))
					{
						echo '<section class="tsr-alert tsr-alert-success"> Right Widżet został zmieniony poprawnie! </section>';
					};	
					if ($rezultat = $polaczenie->query(
					sprintf("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tab_bottom_box2' WHERE `bm_nazwa` = 'bm_bottom_box'")
					 ))
					{
						echo '<section class="tsr-alert tsr-alert-success"> Bottom Widżet został zmieniony poprawnie! </section>';
					};	
					
					if ($rezultat = $polaczenie->query(
					sprintf("UPDATE `".$prefix_table."bm_ustawienia_bm` SET `bm_wartosc`='$tab_footer_box2' WHERE `bm_nazwa` = 'bm_footer_box'")
					 ))
					{
						echo '<section class="tsr-alert tsr-alert-success"> Footer Widżet został zmieniony poprawnie! </section>';
					};	
					
				}
				
				$polaczenie->close();
			}
			
		}
		
          
		catch(Exception $e)
		{
			echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań w innym terminie!</span>';
			echo '<br />Informacja developerska: '.$e;
		}			
			
		}
		
	}
	
?>